E-MailRelay

Public Member Functions | List of all members
GNet::ExceptionSource Class Reference

A mixin base class that identifies the source of an exception when delivered to GNet::ExceptionHandler. More...

`#include <gexceptionsource.h>`

Inheritance diagram for GNet::ExceptionSource:
[legend]

## Public Member Functions
virtual | ~ExceptionSource ()
| Destructor.
| ExceptionSource (const ExceptionSource &)=delete
| ExceptionSource (ExceptionSource &&)=delete
ExceptionSource & | operator= (const ExceptionSource &)=delete
ExceptionSource & | operator= (ExceptionSource &&)=delete

## Detailed Description

A mixin base class that identifies the source of an exception when delivered to GNet::ExceptionHandler.

The primary motivation is to allow a Server to manage its ServerPeer list when one of them throws an exception.

Definition at line 38 of file gexceptionsource.h.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gexceptionsource.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gexceptionsource.cpp